Skip to main content
`Ctrl`+`K`

# DMDAGetStencilType

Gets the type of the communication stencil

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetStencilType(DM da, DMDAStencilType *stype)

Not Collective

## Input Parameter

- da - The `DMDA`

## Output Parameter

- stype - The stencil type, use either `DMDA_STENCIL_BOX` or `DMDA_STENCIL_STAR`.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`, `DMDAStencilType`, `DMDA_STENCIL_BOX`, `DMDA_STENCIL_STAR.`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages